Skip to content
Start here

Update Token Configuration credentials

token_validation.configuration.credentials.update(strconfig_id, CredentialUpdateParams**kwargs) -> CredentialUpdateResponse
PUT/zones/{zone_id}/token_validation/config/{config_id}/credentials

Update Token Configuration credentials

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Account API GatewayDomain API Gateway
ParametersExpand Collapse
zone_id: str

Identifier.

maxLength32
config_id: str

UUID.

maxLength36
minLength36
keys: Iterable[Key]
One of the following:
class KeyAPIShieldCredentialsJWTKeyRSA:

JSON representation of an RSA key.

alg: Literal["RS256", "RS384", "RS512", 3 more]

Algorithm

One of the following:
"RS256"
"RS384"
"RS512"
"PS256"
"PS384"
"PS512"
e: str

RSA exponent

kid: str

Key ID

kty: Literal["RSA"]

Key Type

n: str

RSA modulus

class KeyAPIShieldCredentialsJWTKeyEcEs256:

JSON representation of an ES256 key

alg: Literal["ES256"]

Algorithm

crv: Literal["P-256"]

Curve

kid: str

Key ID

kty: Literal["EC"]

Key Type

x: str

X EC coordinate

y: str

Y EC coordinate

class KeyAPIShieldCredentialsJWTKeyEcEs384:

JSON representation of an ES384 key

alg: Literal["ES384"]

Algorithm

crv: Literal["P-384"]

Curve

kid: str

Key ID

kty: Literal["EC"]

Key Type

x: str

X EC coordinate

y: str

Y EC coordinate

ReturnsExpand Collapse
class CredentialUpdateResponse:
errors: Message
code: int
minimum1000
message: str
documentation_url: Optional[str]
source: Optional[MessageItemSource]
pointer: Optional[str]
keys: List[Key]
One of the following:
class KeyAPIShieldCredentialsJWTKeyRSA:

JSON representation of an RSA key.

alg: Literal["RS256", "RS384", "RS512", 3 more]

Algorithm

One of the following:
"RS256"
"RS384"
"RS512"
"PS256"
"PS384"
"PS512"
e: str

RSA exponent

kid: str

Key ID

kty: Literal["RSA"]

Key Type

n: str

RSA modulus

class KeyAPIShieldCredentialsJWTKeyEcEs256:

JSON representation of an ES256 key

alg: Literal["ES256"]

Algorithm

crv: Literal["P-256"]

Curve

kid: str

Key ID

kty: Literal["EC"]

Key Type

x: str

X EC coordinate

y: str

Y EC coordinate

class KeyAPIShieldCredentialsJWTKeyEcEs384:

JSON representation of an ES384 key

alg: Literal["ES384"]

Algorithm

crv: Literal["P-384"]

Curve

kid: str

Key ID

kty: Literal["EC"]

Key Type

x: str

X EC coordinate

y: str

Y EC coordinate

messages: Message
code: int
minimum1000
message: str
documentation_url: Optional[str]
source: Optional[MessageItemSource]
pointer: Optional[str]
success: Literal[true]

Whether the API call was successful.

Update Token Configuration credentials

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
credential = client.token_validation.configuration.credentials.update(
    config_id="4a7ee8d3-dd63-4ceb-9d5f-c27831854ce7",
    zone_id="023e105f4ecef8ad9ca31a8372d0c353",
    keys=[{
        "alg": "ES256",
        "crv": "P-256",
        "kid": "38013f13-c266-4eec-a72a-92ec92779f21",
        "kty": "EC",
        "x": "KN53JRwN3wCjm2o39bvZUX2VdrsHzS8pxOAGjm8m7EQ",
        "y": "lnkkzIxaveggz-HFhcMWW15nxvOj0Z_uQsXbpK0GFcY",
    }],
)
print(credential.errors)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "keys": [
    {
      "alg": "ES256",
      "crv": "P-256",
      "kid": "38013f13-c266-4eec-a72a-92ec92779f21",
      "kty": "EC",
      "x": "KN53JRwN3wCjm2o39bvZUX2VdrsHzS8pxOAGjm8m7EQ",
      "y": "lnkkzIxaveggz-HFhcMWW15nxvOj0Z_uQsXbpK0GFcY"
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "keys": [
    {
      "alg": "ES256",
      "crv": "P-256",
      "kid": "38013f13-c266-4eec-a72a-92ec92779f21",
      "kty": "EC",
      "x": "KN53JRwN3wCjm2o39bvZUX2VdrsHzS8pxOAGjm8m7EQ",
      "y": "lnkkzIxaveggz-HFhcMWW15nxvOj0Z_uQsXbpK0GFcY"
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true
}